<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/include_vote_and_comment"
    android:layout_width="match_parent"
    android:layout_height="64dp"
    android:background="@color/ui_surface">

    <TextView
        android:visibility="gone"
        android:id="@+id/inviteAnswer"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:paddingLeft="14dp"
        android:paddingRight="14dp"
        android:gravity="center"
        android:drawableLeft="@drawable/community_invite_follow"
        android:drawablePadding="4dp"
        android:textColor="@color/text_tertiary"
        android:textSize="11sp"
        android:text="邀请回答"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/comment_count" />


    <TextView
        android:id="@+id/comment_count"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:layout_gravity="center"
        android:paddingLeft="10dp"
        android:paddingRight="16dp"
        android:drawableLeft="@drawable/community_comment_count"
        android:drawablePadding="4dp"
        android:gravity="center"
        android:textColor="@color/text_tertiary"
        android:textSize="11sp"
        tools:text="16"
        app:layout_constraintRight_toLeftOf="@id/vote_count_container"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/vote_count_container"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:layout_gravity="center"
        android:paddingLeft="2dp"
        android:paddingRight="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <RelativeLayout
            android:layout_width="40dp"
            android:layout_height="40dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent">

            <com.lightgame.view.CheckableImageView
                android:id="@+id/vote_icon"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:src="@drawable/community_vote_selector" />

            <com.airbnb.lottie.LottieAnimationView
                android:id="@+id/vote_animation"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_centerHorizontal="true"
                android:visibility="gone" />

        </RelativeLayout>

        <TextView
            android:id="@+id/vote_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="36dp"
            android:paddingTop="20dp"
            android:paddingBottom="20dp"
            android:textColor="@color/text_tertiary"
            android:textSize="11sp"
            tools:text="11"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.constraintlayout.widget.ConstraintLayout>